# std::exception::exception

From cppreference.com
< cpp‎ | error‎ | exception

exception(); | (1) |
exception( const exception& other ); | (2) |

Constructs new exception object.

1) Default constructor. `what()` returns empty string.
2) Copy constructor. Initializes the contents with those of `other`

### Parameters

other | - | another exception to assign the contents of

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Notes

Because copying `std::exception` is not permitted to throw exceptions, when derived classes (such as std::runtime_error) have to manage a user-defined diagnostic message, it is typically implemented as a copy-on-write string.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/exception/exception&oldid=91869"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template